This endpoint will return a list of institutions which can be filtered. Responses are paginated. A list of all supported institutions can be obtained by sending a request with only the name parameter and setting the value to an empty string. If you cache this list, you must update the cached version at least once each day. We recommend you use this endpoint rather than the deprecated list institutions endpoint to get updated information about institutions.
Authorizations
MD-SESSION-TOKEN
string
header
required
MX Session Token
Request an API token using the read API token endpoint in the MX SSO API.
Exchange an API token for a session token.
A session token is obtained by sending a POST request to /sessions
The session token will be used in each request made for the user. It should be passed in an MD-SESSION-TOKEN HTTP header as shown below.
This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
If you send a request with an expired session token you'll receive an error code of 4011.
In documentation code examples, replace <API_KEY_VALUE> with the session token.
Query Parameters
iso_country_code
string[]
An array of strings that filters institutions in the widget by the specified country code. Acceptable codes include US, CA, and MX (Mexico).
page
string
Results are returned in paginated sets, this is the page of the results you would like to view. Defaults to page 1 if no page is specified.
records_per_age
string
List from 10 to 1000 to determine how many records per page will be used.
Body
application/vnd.mx.nexus.v1+json
institution
object
Hide child attributes
institution.account_types
any
(Deprecated) This search parameter has been deprecated along with associated fields of the pattern has_*_accounts. It should not be used in searches. This returns only institutions which support the specified account types. Provided as a string of integers; search multiple account types by separating each account type with pipes
Example:
"deprecated"
institution.name
string
Name of the financial instutition.
Example:
"MX Bank"
institution.supports_account_identification
boolean
This returns only institutions which support account identification.
Example:
false
institution.supports_account_verification
boolean
This returns only institutions which support account verification.
Example:
false
institution.supports_transaction_history
boolean
This returns only institutions which support extended transaction history.
Example:
true
institution.url
string
This returns only institutions which match the provided URL.
Example:
"https://mx.com"
Response
200 - application/vnd.mx.nexus.v1+json
OK
institutions
object[]
Hide child attributes
institutions.code
string
A unique identifier for each institution. Defined by MX.
Example:
"mxbank"
institutions.created_at
string
Date and time the institution was created, represented ISO 8601 format with timestamp.
Example:
"2016-09-21T22:03:55.000Z"
institutions.guid
string
A unique identifier for the institution. Defined by MX.
Example:
"INS-1572a04c-912b-59bf-5841-332c7dfafaef"
institutions.forgot_password_url
string
The URL of the institution for helping users recover a forgotten password.
Example:
"https://www.mx.com/forgot-password"
institutions.forgot_username_url
string
The URL of the institution for helping users recover a forgotten username.
Example:
"https://www.mx.com/forgot-username"
institutions.has_checking_account
any
Deprecated. If the institution has checking accounts, this field will be true. Otherwise, this field will be false.
Example:
"https://www.mx.com/forgot-username"
institutions.has_credit_card_accounts
boolean
(Deprecated) If the institution has credit card accounts, this field will be true. Otherwise, this field will be false.
Example:
true
institutions.has_investment_accounts
boolean
(Deprecated) If the institution has investment accounts, this field will be true. Otherwise, this field will be false
Example:
true
institutions.has_line_of_credit_accounts
boolean
(Deprecated) If the institution has line of credit accounts, this field will be true. Otherwise, this field will be false.
Example:
true
institutions.has_loan_accounts
boolean
(Deprecated) If the institution has loan accounts, this field will be true. Otherwise, this field will be false.
Example:
true
institutions.has_mortgage_accounts
boolean
(Deprecated) If the institution has mortgage accounts, this field will be true. Otherwise, this field will be false.
Example:
true
institutions.has_savings_accounts
boolean
(Deprecated) If the institution has savings accounts, this field will be true. Otherwise, this field will be false.
Example:
true
institutions.is_disabled_by_client
boolean | null
This indicates whether the institution has been disabled by the client.
Example:
false
institutions.is_hidden
boolean
If the institution is available for creating new member connections, this field will be false. Otherwise, this field will be true.
Example:
true
institutions.is_test
boolean
If the institution represents a test institution such as MX Bank, this field will be true. Otherwise, this field will be false.
Example:
true
institutions.iso_country_code
string[]
The institution's country code.
Example:
["US", "CA"]
institutions.medium_logo_url
any
The institution's logo (medium size). This may be a generic logo if MX does not have a specific logo for the institution.